Canalplan Bug Tracker

Anonymous Login
2018-03-20 06:08 GMT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000332Canalplan [All Projects] Generalpublic2017-11-20 15:30
Assigned ToNick Atty 
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000332: Session logs out
DescriptionWhat's the cookie expiration set to on the new sign in process? I'm finding that my canalplan session logs out but my mantis cookie is left so I'm logged into the bug tracker but not canalplan itself!
TagsNo tags attached.
Attached Files




Nick Atty (administrator)

I think we have it wrongly configured!
source/cookiemap.h contains the three cookies that are read and set.

// cookies : cookie name, config name, persistent flag


0 means session cookie, 1 means set an age of 31536000 which is 1 year.

I think MANTIS_STRING_COOKIE should be session only - changing that field to '0' and recompiling ('make' at the top level) should do it if you want to experiment on beta.



Done that on Beta - will try over the next day or so to see what it does.


Nick Atty (administrator)

I've got caught by this (of course, beta will have changed with the recent release). I'll change it in the next release and close the issue.


Autoclose (administrator)

Closing automatically, stayed too long in feedback state. Feel free to re-open with additional information if you think the issue is not resolved.

-Issue History
Date Modified Username Field Change
2017-10-06 07:00 user3 New Issue
2017-10-06 07:00 user3 Status new => assigned
2017-10-06 07:00 user3 Assigned To => Nick Atty
2017-10-06 20:52 Nick Atty Note Added: 0001321
2017-10-07 12:25 user3 Note Added: 0001322
2017-10-09 07:24 Nick Atty Note Added: 0001329
2017-10-21 15:32 Nick Atty Status assigned => resolved
2017-10-21 15:32 Nick Atty Resolution open => fixed
2017-11-20 15:30 Autoclose Note Added: 0001389
2017-11-20 15:30 Autoclose Status resolved => closed
+Issue History